apply plugin: 'com.android.application'

android {
    compileSdkVersion 30
    buildToolsVersion "31.0.0"

    defaultConfig {
        applicationId "net.micode.notes"
        minSdkVersion 16
        //noinspection ExpiredTargetSdkVersion
        targetSdkVersion 23
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
    useLibrary 'org.apache.http.legacy'
}

dependencies {
    implementation 'com.android.support:appcompat-v7:28.0.0'
}

sonarqube {
    properties {
        property "sonar.sourceEncoding", "GBK"
        property "sonar.projectKey", "projectkey" //projectkey
        property "sonar.projectName", project.name //projectname
        property "sonar.sources", "src/main/java" //源码，写这个就行
        property "sonar.projectVersion", project.version //版本，随意
        property "sonar.binaries", "build/intermediates/classes"
    }
}
